<script setup lang="ts">
import { computed } from "vue";

const props = defineProps<{
  modelValue: string;
}>();
const emit = defineEmits<{
  (e: "update:modelValue", value: string): void;
}>();

const value = computed({
  get(): string {
    return props.modelValue;
  },
  set(value: string) {
    emit("update:modelValue", value);
  },
});
</script>

<template>
  <input
    type="text"
    v-model="value"
    :style="{ width: `${String(modelValue).length || 0.25}ch` }"
  />
</template>
